nn.pp.rccore

## Class KeyboardMacro

- java.lang.Object
- - nn.pp.rccore.KeyboardMacro

- All Implemented Interfaces:
    IKeyboardMacro

      public class KeyboardMacro
      extends java.lang.Object
      implements IKeyboardMacro

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `KeyboardMacro.KeyCode`

    - ### Nested classes/interfaces inherited from interface nn.pp.rccore.IKeyboardMacro

      `IKeyboardMacro.IKeyCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyboardMacro(java.util.Collection<? extends IKeyboardMacro.IKeyCode> keycodes)`
    `KeyboardMacro(IKeyboardMacro.IKeyCode[] keycodes)`
    `KeyboardMacro(IKeyboardMacro macro)`
    `KeyboardMacro(java.lang.String name, java.lang.String code, java.util.Collection<? extends IKeyboardMacro.IKeyCode> keycodes)`
    `KeyboardMacro(java.lang.String name, java.lang.String code, IKeyboardMacro.IKeyCode[] keycodes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCode()` Get a user friendly string representation, e.g.
    `IKeyboardMacro.IKeyCode[]` | `getKeycodes()` Get the key codes of this macro
    `java.lang.String` | `getName()` Get the user friendly name of the keyboard macro, e.g.
    `java.lang.String` | `getNameOrCode()` Get the name of the macro if set, or the code otherwise

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyboardMacro

          public KeyboardMacro(java.lang.String name,
                               java.lang.String code,
                               IKeyboardMacro.IKeyCode[] keycodes)

    - #### KeyboardMacro

          public KeyboardMacro(IKeyboardMacro.IKeyCode[] keycodes)

    - #### KeyboardMacro

          public KeyboardMacro(java.util.Collection<? extends IKeyboardMacro.IKeyCode> keycodes)

    - #### KeyboardMacro

          public KeyboardMacro(java.lang.String name,
                               java.lang.String code,
                               java.util.Collection<? extends IKeyboardMacro.IKeyCode> keycodes)

    - #### KeyboardMacro

          public KeyboardMacro(IKeyboardMacro macro)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `IKeyboardMacro`
      Get the user friendly name of the keyboard macro, e.g. "Reset the target"
      Specified by:
        `getName` in interface `IKeyboardMacro`
      Returns:
        The user friendly name of the keyboard macro, e.g. "Reset the target"

    - #### getCode

          public java.lang.String getCode()

      Description copied from interface: `IKeyboardMacro`
      Get a user friendly string representation, e.g. "Ctrl+Alt+Del"
      Specified by:
        `getCode` in interface `IKeyboardMacro`
      Returns:
        A user friendly string representation, e.g. "Ctrl+Alt+Del"

    - #### getNameOrCode

          public java.lang.String getNameOrCode()

      Description copied from interface: `IKeyboardMacro`
      Get the name of the macro if set, or the code otherwise
      Specified by:
        `getNameOrCode` in interface `IKeyboardMacro`
      Returns:
        the name of the macro if set, or the code otherwise

    - #### getKeycodes

          public IKeyboardMacro.IKeyCode[] getKeycodes()

      Description copied from interface: `IKeyboardMacro`
      Get the key codes of this macro
      Specified by:
        `getKeycodes` in interface `IKeyboardMacro`
      Returns:
        the key codes of this macro

Copyright © 2025 Raritan Inc. All Rights Reserved.